/**Begin D:\PDM_UPGRADE\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_INVELIMTPLENTRY') 
 CREATE TABLE T_BCM_INVELIMTPLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDATAFROM CHAR(1) DEFAULT '1' NOT NULL,
FDC INT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FCBINTERCOMPANY CHAR(1) DEFAULT '3' NOT NULL,
FCBMYCOMPANY CHAR(1) DEFAULT '3' NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPROCESSID BIGINT DEFAULT 0 NOT NULL,
FCHANGETYPEID BIGINT DEFAULT 0 NOT NULL,
FAUDITTRAILID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCEID BIGINT DEFAULT 0 NOT NULL,
FMULTIGAAP BIGINT DEFAULT 0 NOT NULL,
FUSERDEFINE1 BIGINT DEFAULT 0 NOT NULL,
FUSERDEFINE2 BIGINT DEFAULT 0 NOT NULL,
FUSERDEFINE3 BIGINT DEFAULT 0 NOT NULL,
FUSERDEFINE4 BIGINT DEFAULT 0 NOT NULL,
FUSERDEFINE5 BIGINT DEFAULT 0 NOT NULL,
FUSERDEFINE6 BIGINT DEFAULT 0 NOT NULL,
FRULEEXPR VARCHAR(1000) DEFAULT ' ' NOT NULL,
FRULEEXPRDEPT VARCHAR(1000) DEFAULT ' ' NOT NULL,
FSEGCALCULATE VARCHAR(1000) DEFAULT ' ' NOT NULL,
FRULEEXPRSOURCE VARCHAR(1000) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


 --- drop TABLE --------- 请认真检查该脚本 ------------------- 
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_INVELIMTEMPLATEENTRY') 
 DROP TABLE T_BCM_INVELIMTEMPLATEENTRY;


/**End D:\PDM_UPGRADE\PDM_UPGRADE\PDM1\BCM_table.sql **/
